#!/usr/bin/perl -w

use lib '../../lib';
use MQS::Storage::QDBM;
use Config::General;

my %allconfig = ReadingConfiguration("../../cfg/mqs.cfg");

print "Test MQS::Storage::QDBM...\n";


print "Open queue db...";
if ($test1qdbm = MQS::Storage::QDBM->new("test1qdbmdb",$allconfig{general}{storageqdbm})) {
	print "OK\n";
} else {
	print "NOK\n";
}

for (1 .. 5) {
 $test1qdbm->putMessage("a message from coretest...");
}

print "getLastId() after submitted messages...";

print $test1qdbm->getLastId();
print "\n";

for (1 .. 2) {
 print $test1qdbm->getMessage()."\n";
}

print "getLastId() after retreiving 2 messages...";
print $test1qdbm->getLastId();
print "\n";


$test1qdbm->close();

#unlink("test1qdbmdb");


sub ReadingConfiguration {
    my $configfile = shift;
    my $conf       = new Config::General($configfile);
    my %config     = $conf->getall;
    return %config;
}


